Request example
CURL
curl -X POST "https://api.buddy.works/oauth2/register" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json"
EXAMPLE RESPONSE
{
"client_id": "exampleClientId12345",
"client_secret": "0123456789abcdef0123456789abcde",
"registration_access_token": "this.is.a.registration.access.token",
"registration_client_uri": "https://api.buddy.works/oauth2/register/exampleClientId12345",
"client_id_issued_at": 1675123456,
"client_secret_expires_at": 0,
"client_name": "My Application",
"redirect_uris": [
"https://client.example.org/callback"
],
"grant_types": [
"authorization_code",
"refresh_token",
"client_credentials"
],
"response_types": [
"code"
],
"token_endpoint_auth_method": "client_secret_basic",
"client_uri": "https://client.example.org",
"description": "My OAuth 2.0 application",
"token_expires_in": 3600
}STATUS
201 Created